diff scripts/Docker/roundup_start @ 7661:b31343f16153

fix: roundup_start script exited for 2.3.0 roundup. I added 'set -eo pipefail' and must have missed a test case that caused demo mode to exit. Fix this.
author John Rouillard <rouilj@ieee.org>
date Mon, 16 Oct 2023 22:19:45 -0400
parents 0f6b7a70bc43
children cf5d37182dc9
line wrap: on
line diff
--- a/scripts/Docker/roundup_start	Sun Oct 15 21:04:32 2023 -0400
+++ b/scripts/Docker/roundup_start	Mon Oct 16 22:19:45 2023 -0400
@@ -15,6 +15,7 @@
 fi
 
 trap exit INT
+trap "echo 'Exiting on pipefail'" ERR
 
 do_exit=0
 
@@ -38,7 +39,10 @@
 	# if it's a request to start in demo/shell mode:
 	case "$tracker" in
 	    demo)
-		version=$(roundup-admin -v | grep 2.2.0)
+		# if grep does not find 2.2.0 it exits non-zero and
+		# because of "-eo pipefail" the script exits. So || true
+		# so pipeline exits true.
+		version=$(roundup-admin -v | grep '2\.2\.0' || true)
 		if [ -n "$version" ]; then
 		    printf "\nRoundup version: %s does not support docker demo mode\n" "$version"
 		    printf "Try building with a version newer than 2.2.0.\n"

Roundup Issue Tracker: http://roundup-tracker.org/